Skip to main content
GET
/
v1
/
actions
Get actions
curl --request GET \
  --url https://api.trydocent.com/v1/actions \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "workflowId": "<string>",
  "summary": "API: long 0.01 BTC market",
  "createdAt": 123,
  "startedAt": 123,
  "completedAt": 123,
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trydocent.com/llms.txt

Use this file to discover all available pages before exploring further.

Use actionId to fetch one action. Omit it to list recent actions. Use limit only when you are listing recent actions.

Authorizations

Authorization
string
header
required

API key in the format dk_live_.... Pass as Authorization: Bearer dk_live_...

Query Parameters

actionId
string

Fetch a single action by ID

limit
integer
default:20

Maximum results when listing recent actions (1-100, default 20)

Required range: 1 <= x <= 100

Response

A single action or a list of actions

id
string
required
workflowId
string | null
required
venue
enum<string>
required
Available options:
hyperliquid_perp,
hyperliquid_spot,
polymarket
status
enum<string>
required
Available options:
pending,
running,
completed,
failed
summary
string
required
Example:

"API: long 0.01 BTC market"

createdAt
number
required
startedAt
number | null
required
completedAt
number | null
required
error
string | null
required